{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Chapter Five</title>
{% endblock meta %}

{% block content %}
  <h5 class="judul">List of Courses</h5>
  <hr style="border-top: 5px dashed #102B3E;">
  <div class="story5">
    <h5 style="transform: translateX(2%);">SKS</h5>
    <div style="padding-top: 10px; padding-bottom: 20px; transform: translateX(2%);">
      <a href="{% url 'story5:addCourse' %}"><button class="button-sendiri">Add Course</button></a></div>
    <table class="table table-sm" id="table-story5" style="width: 60%; margin-left: 2.5%;">
      <tr style="border-bottom: 2px solid #102B3E; border-top: 2px solid #102B3E;">
          <th>Course</th>
          <th>SKS</th>
          <th>Details</th>
      </tr>

      {% for course in courses %}
        <tr style="border-bottom: 1px solid #102B3E;">
          <td>{{course.name}}</td>
          <td>{{course.sks}}</td>
          <td><a href="{% url 'story5:course' course.id %}"><button class="button-sendiri">View</button></a></td>
        </tr>
      {% endfor %}
    </table>
    <h5 style="transform: translateX(2%); width: 95%; padding-top: 10px;">STATUS</h5>
    <div style="padding-top: 10px; padding-bottom: 20px; transform: translateX(2%);">
      <a href="{% url 'story5:addStatus' %}"><button class="button-sendiri">Add Status</button></a></div>
    <table class="table table-sm" id="table-story5" style="width: 95%; margin-left: 2.5%;">
        <tr style="border-bottom: 2px solid #102B3E; border-top: 2px solid #102B3E;">
            <th>Course</th>
            <th>Status</th>
            <th>Update</th>
            <th>Remove</th>
        </tr>

        {% for matkul in matkuls %}
          <tr style="border-bottom: 1px solid #102B3E;">
            <td>{{matkul.course}}</td>
            <td>{{matkul.status}}</td>
            <td><a href="{% url 'story5:updateStatus' matkul.id %}" ><button class="button-sendiri">Update</button></a></td>
            <td><a href="{% url 'story5:removeStatus' matkul.id %}" ><button class="button-sendiri">Remove</button></a></td>
          </tr>
        {% endfor %}
    </table>
  </div><br><br><br>
{% endblock content %}
{% block foot %}
{% endblock %}